- Qt 5.15
- Qt Multimedia
- C++ Classes
- QCameraViewfinder
- Qt 5.15.19 Reference Documentation

# QCameraViewfinder Class

The QCameraViewfinder class provides a camera viewfinder widget. More...

Header: | #include <QCameraViewfinder>
qmake: | QT += multimediawidgets
Inherits: | QVideoWidget

- List of all members, including inherited members

## Public Functions

| QCameraViewfinder(QWidget *parent = nullptr)
virtual | ~QCameraViewfinder()

## Reimplemented Public Functions

virtual QMediaObject * | mediaObject() const override

## Reimplemented Protected Functions

virtual bool | setMediaObject(QMediaObject *object) override

## Detailed Description

     camera = new QCamera;

     viewfinder = new QCameraViewfinder();
     viewfinder->show();

     camera->setViewfinder(viewfinder);

     imageCapture = new QCameraImageCapture(camera);

     camera->setCaptureMode(QCamera::CaptureStillImage);
     camera->start();

## Member Function Documentation

### QCameraViewfinder::QCameraViewfinder(QWidget *parent = nullptr)

Constructs a new camera viewfinder widget.

The parent is passed to QVideoWidget.

### `[virtual]` QCameraViewfinder::~QCameraViewfinder()

Destroys a camera viewfinder widget.

### `[override virtual]` QMediaObject *QCameraViewfinder::mediaObject() const

Reimplements: QMediaBindableInterface::mediaObject() const.

See also setMediaObject().

### `[override virtual protected]` bool QCameraViewfinder::setMediaObject(QMediaObject *object)

Reimplements: QMediaBindableInterface::setMediaObject(QMediaObject *object).

See also mediaObject().